Tspi_TPM_AuthorizeMigrationTicket(3)

NAME
Tspi_TPM_AuthorizeMigrationTicket- create the migration ticket required for the migration process.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_AuthorizeMigrationTicket(TSS_HTPM           hTPM,            TSS_HKEY hMigrationKey,
                                             TSS_MIGRATE_SCHEME migrationScheme, UINT32*  pulMigTicketLength,
                                             BYTE**             prgbMigTicket);

DESCRIPTION

Tspi_TPM_AuthorizeMigrationTicket is used by the owner to authorize a target public key for migration. This mean sthat when a system is set up, the owner can decide that all archives should be done on a particular server. Then as keys are created, the user can pick one of these servers for the target of the migration of their keys, if they wish. This provides one of the two authorizations necessary to migrate a key.

PARAMETERS

  hTPM
Handle of the TPM object

  hMigrationKey
Handle of the object representing the migration key.

  migrationScheme
Flag indiating the migration scheme to be used.

  pulMigTicketLength
Recieves the length (in bytes) of the prgbMigTicket parameter.

  prgbMigTicket
Recieves a pointer to thememory block containing the migration ticket blob.

RETURN CODES

Tspi_TPM_AuthorizeMigrationTicket returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE
    Either hTPM or hMigrationKey is not a valid handle.

TSS_E_INTERNAL_ERROR
    An error occurred internal to the TSS.

CONFORMING TO

Tspi_TPM_AuthorizeMigrationTicket conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

(none).